PHP 手冊
前一頁 |  | 下一頁

# dba_fetch

(PHP 3>= 3.0.8, PHP 4 , PHP 5)

dba_fetch -- Fetch data specified by key

## Description

string dba_fetch ( string key, resource handle )
string dba_fetch ( string key, int skip, resource handle )

dba_fetch() fetches the data specified by key from the database specified with handle.

## Parameters

key

  The key the data is specified by.

  > 注: When working with inifiles this function accepts arrays as keys where index 0 is the group and index 1 is the value name. See: dba_key_split().

skip

  The number of key-value pairs to ignore when using cdb databases. This value is ignored for all other databases which do not support multiple keys with the same name.

handle

  The database handler, returned by dba_open() or dba_popen().

## Return Values

Returns the associated string if the key/data pair is found, `FALSE` otherwise.

## ChangeLog

Version | Description
--- | ---
4.3 | The skip parameter is available to support cdb's capability of multiple keys having the same name.

## 參考

dba_exists()
dba_delete()
dba_insert()
dba_replace()
dba_key_split()

前一頁 | 內容 | 下一頁
dba_exists | 上一層 | dba_firstkey